Agents
Roll back to a previous deployment
POST
/
v1
/
agents
/
{agent_id}
/
rollback
Roll back to a previous deployment
curl --request POST \
--url https://api.sempera.org/v1/agents/{agent_id}/rollback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_deployment_id": "<string>"
}
'import requests
url = "https://api.sempera.org/v1/agents/{agent_id}/rollback"
payload = { "to_deployment_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to_deployment_id: '<string>'})
};
fetch('https://api.sempera.org/v1/agents/{agent_id}/rollback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "agent_rollback",
"agent_id": "<string>",
"rollback": {
"rollback_id": "<string>",
"from_deployment_id": "<string>",
"to_deployment_id": "<string>",
"agent_version_id": "<string>",
"version_number": 123,
"requested_by": "<string>",
"requested_at": "<string>",
"outcome": "<string>",
"detail": "<string>"
},
"view": {
"client": "<string>",
"derived": true,
"rule": "<string>",
"current_version": {
"agent_version_id": "<string>",
"version_number": 123
},
"current_version_error": "<string>",
"live_statement": "<string>",
"deployments": [
{
"deployment_id": "<string>",
"agent_version_id": "<string>",
"version_number": 123,
"outcome": "<string>"
}
],
"rollbacks": [
{
"rollback_id": "<string>",
"from_deployment_id": "<string>",
"to_deployment_id": "<string>",
"agent_version_id": "<string>",
"version_number": 123,
"requested_by": "<string>",
"requested_at": "<string>",
"outcome": "<string>",
"detail": "<string>"
}
],
"controls": {}
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
Headers
Replays the stored answer for a retry of the same request; 409 for a different request under the same key.
Maximum string length:
255Path Parameters
The agent's stable id.
⌘I
Roll back to a previous deployment
curl --request POST \
--url https://api.sempera.org/v1/agents/{agent_id}/rollback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_deployment_id": "<string>"
}
'import requests
url = "https://api.sempera.org/v1/agents/{agent_id}/rollback"
payload = { "to_deployment_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to_deployment_id: '<string>'})
};
fetch('https://api.sempera.org/v1/agents/{agent_id}/rollback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "agent_rollback",
"agent_id": "<string>",
"rollback": {
"rollback_id": "<string>",
"from_deployment_id": "<string>",
"to_deployment_id": "<string>",
"agent_version_id": "<string>",
"version_number": 123,
"requested_by": "<string>",
"requested_at": "<string>",
"outcome": "<string>",
"detail": "<string>"
},
"view": {
"client": "<string>",
"derived": true,
"rule": "<string>",
"current_version": {
"agent_version_id": "<string>",
"version_number": 123
},
"current_version_error": "<string>",
"live_statement": "<string>",
"deployments": [
{
"deployment_id": "<string>",
"agent_version_id": "<string>",
"version_number": 123,
"outcome": "<string>"
}
],
"rollbacks": [
{
"rollback_id": "<string>",
"from_deployment_id": "<string>",
"to_deployment_id": "<string>",
"agent_version_id": "<string>",
"version_number": 123,
"requested_by": "<string>",
"requested_at": "<string>",
"outcome": "<string>",
"detail": "<string>"
}
],
"controls": {}
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}